# $Revision: 1.42 $, $Date: 2009/12/20 20:27:08 $
Summary:	System-wide profiler
Summary(pl.UTF-8):	Ogólnosystemowy profiler
Name:		oprofile
Version:	0.9.4
Release:	11
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/oprofile/%{name}-%{version}.tar.gz
# Source0-md5:	82b059379895cf125261d7d773465915
Patch0:		%{name}-fortify.patch
Patch1:		%{name}-basename.patch
URL:		http://oprofile.sourceforge.net/
BuildRequires:	binutils-devel
BuildRequires:	popt-devel
BuildRequires:	qt-devel
BuildRequires:	rpmbuild(macros) >= 1.217
Requires:	uname(release) >= 2.6
Conflicts:	kernel < 2.6
ExclusiveArch:	alpha arm %{ix86} ia64 mips ppc ppc64 %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	oprofile_arch	%(echo "%{_target_base_arch}" | sed -e 's#x86_64#x86-64#')

%description
It consists of a kernel driver and a daemon for collecting sample
data, and several post-profiling tools for turning data into
information.

OProfile leverages the hardware performance counters of the CPU to
enable profiling of a wide variety of interesting statistics, which
can also be used for basic time-spent profiling. All code is profiled:
hardware and software interrupt handlers, kernel modules, the kernel,
shared libraries, and applications.

%description -l pl.UTF-8
Pakiet składa się ze sterownika dla jądra oraz demona zbierającego
próbki danych, a także kilku narzędzi do postprocesingu,
przekształcających dane na informacje.

OProfile utrzymuje liczniki wydajności sprzętu dla CPU, aby umożliwić
profilowanie wielorakich interesujących statystyk, których można
używać także do podstawowego profilowania czasu wykonywania.
Profilowany jest cały kod: procedury obsługi przerwań sprzętowych i
programowych, moduły jądra, jądro, biblioteki współdzielone oraz
aplikacje.

%package gui
Summary:	GUI for OProfile
Summary(pl.UTF-8):	Graficzny interfejs użytkownika do OProfile
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gui
GUI for OProfile.

%description gui -l pl.UTF-8
Graficzny interfejs użytkownika do OProfile.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--with-kernel-support \
	--with-qt-includes=%{_includedir}/qt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/lib/oprofile

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ "$1" = 0 ]; then
	%{_bindir}/opcontrol --shutdown 2>/dev/null 1>&2
	rm -rf %{_var}/lib/oprofile/*
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO doc/*.html
%attr(755,root,root) %{_bindir}/*
%exclude  %{_bindir}/oprof_start
%dir %{_libdir}/oprofile
%attr(755,root,root) %{_libdir}/oprofile/lib*.so.*
%{_datadir}/%{name}
%{_mandir}/man1/*.1*
%dir %{_var}/lib/oprofile

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/oprof_start

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: oprofile.spec,v $
Revision 1.42  2009/12/20 20:27:08  arekm
- release 11

Revision 1.41  2009/11/08 19:56:31  megabajt
- release 10

Revision 1.40  2009/09/02 06:27:14  arekm
- release 9

Revision 1.39  2009/07/19 11:01:06  arekm
- release 8

Revision 1.38  2009/07/03 22:37:03  megabajt
- added -basename.patch
- release 7

Revision 1.37  2009/04/22 10:27:56  arekm
- release 6

Revision 1.36  2009/03/28 23:51:15  areq
- rel 5

Revision 1.35  2009/01/10 20:44:24  arekm
- release 4

Revision 1.34  2008/10/08 15:45:09  arekm
- release 3

Revision 1.33  2008/08/25 19:10:57  arekm
- release 2

Revision 1.32  2008/07/27 21:40:20  arekm
- up to 0.9.4

Revision 1.31  2008/07/27 15:02:43  arekm
- release 10

Revision 1.30  2008/07/11 08:12:55  megabajt
- added -gcc43.patch
- release 9

Revision 1.29  2008/05/13 11:15:21  glen
- cleanup on pkg removal, not on upgrades

Revision 1.28  2008-05-13 10:52:43  pluto
- release 8 for rebuild with new binutils.
- pack and clean /var/lib/oprofile.

Revision 1.27  2008-04-06 08:27:00  arekm
- release 7

Revision 1.26  2008-03-19 08:31:05  arekm
- rel 6

Revision 1.25  2008-02-13 14:12:43  baggins
- rel 5

Revision 1.24  2007-11-12 14:13:51  arekm
- rel 4

Revision 1.23  2007/09/18 08:59:16  baggins
- rel 3

Revision 1.22  2007/09/17 15:21:11  baggins
- rel 2

Revision 1.21  2007/08/12 09:16:29  qboosh
- updated to 0.9.3

Revision 1.20  2007/07/03 09:12:20  arekm
- rel 3

Revision 1.19  2007/06/09 18:42:06  arekm
- rel 2

Revision 1.18  2007/04/01 01:20:38  arekm
- up to 0.9.2

Revision 1.17  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.15  2006/12/30 18:33:30  qboosh
- BR: binutils-devel (uses libbfd)

Revision 1.14  2005/11/06 13:33:39  arekm
- rel 2; fix amd64 build

Revision 1.13  2005/08/03 16:58:07  qboosh
- we don't force kernel package in userspace packages

Revision 1.12  2005/08/01 12:58:01  pluto
- adapterized, R(kernel >= 2.6) forced.

Revision 1.11  2005/08/01 12:43:46  pluto
- exclusive arch.

Revision 1.10  2005/08/01 12:05:22  pluto
- updated to 0.9.1.

Revision 1.9  2005/03/21 23:32:32  qboosh
- updated to 0.8.2

Revision 1.8  2004/10/13 11:17:58  darekr
- updated to 0.8.1

Revision 1.7  2004/09/03 00:47:23  arekm
- updated to 0.8

Revision 1.6  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.5  2003/11/15 20:34:43  qboosh
- updated to 0.7.1

Revision 1.4  2003/10/25 22:56:39  qboosh
- updated to 0.7, separated gui, build for Linux 2.6

Revision 1.3  2003/08/28 08:20:33  ankry
- cosmetics

Revision 1.2  2003/07/14 19:00:14  qboosh
- pl, removed non-existing BR (binutils-devel)

Revision 1.1  2003/07/11 22:46:19  arekm
- unfinished unfortunately
